| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
Variable Class Reference

## Public Member Functions
| Variable (String name, String type, String initVal, String comment=String())
String | GetName ()
void | SetName (String name)
String | GetType ()
void | SetType (String type)
String | GetInitialValue ()
void | SetInitialValue (String initVal)
String | GetComment ()
void | SetComment (String comment)

## Detailed Description

common editor interface variable

## Constructor & Destructor Documentation

## ◆ Variable()

Variable::Variable | ( | String | name,
|  | String | type,
|  | String | initVal,
|  | String | comment = `String()`
| ) |  |

Creates a variable with the given information set.

Parameters

  name | Name of new variable
  type | Return type of new variable
  initVal | Initial value for the new variable
  comment | String comment regarding the new variable

Since
  `comment` parameter new in GL Studio 6.0.1

## Member Function Documentation

## ◆ GetComment()

String Variable::GetComment | ( |  | ) |

Retrieves the comment associated with the variable.

Returns
  String containing the comment

Since
  GL Studio 6.0.1

## ◆ GetInitialValue()

String Variable::GetInitialValue | ( |  | ) |

Retrieves the variable's initial value.

Returns
  String containing the initial value of the variable

## ◆ GetName()

String Variable::GetName | ( |  | ) |

Retrieves the variable's name.

Returns
  String containing the name of the variable

## ◆ GetType()

String Variable::GetType | ( |  | ) |

Retrieves the variable's return type.

Returns
  String containing the return type of the variable

## ◆ SetComment()

void Variable::SetComment | ( | String | comment | ) |

Sets the comment associated with the variable.

Parameters

  comment | String containing the comment for the variable

Since
  GL Studio 6.0.1

## ◆ SetInitialValue()

void Variable::SetInitialValue | ( | String | initVal | ) |

Sets the variable's initial value.

Parameters

  initVal | New initial value for the variable

## ◆ SetName()

void Variable::SetName | ( | String | name | ) |

Sets the variable's name.

Parameters

  name | New name of variable

## ◆ SetType()

void Variable::SetType | ( | String | type | ) |

Sets the variable's return type.

Parameters

  type | New return type for the variable

The documentation for this class was generated from the following file:

- Variable.i